<?php

/*
 *	Helper functions
 *
 * 	@version	1.0
 * 	@author		Greatives Team
 * 	@URI		http://greatives.eu
 */



 /**
 * Generic Parameters to reuse
 * Used in vc shortcodes
 */
$grve_vce_add_animation = array(
	"type" => "dropdown",
	"heading" => __("CSS Animation", "grve-vc-extension"),
	"param_name" => "animation",
	"admin_label" => true,
	"value" => array(
		__( "No", "grve-vc-extension" ) => '',
		__( "Pulse", "grve-vc-extension" ) => "pulse",
		__( "Fade In", "grve-vc-extension" ) => "fadeIn",
		__( "Fade In Up", "grve-vc-extension" ) => "fadeInUp",
		__( "Fade In Down", "grve-vc-extension" ) => "fadeInDown",
		__( "Fade In Left", "grve-vc-extension" ) => "fadeInLeft",
		__( "Fade In Right", "grve-vc-extension" ) => "fadeInRight",
		__( "Move Left", "grve-vc-extension" ) => "moveLeft",
	),
	"description" => __("Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.", "grve-vc-extension" ),
);

$grve_vce_add_animation_delay = array(
	"type" => "textfield",
	"heading" => __('Css Animation Delay', 'grve-vc-extension'),
	"param_name" => "animation_delay",
	"value" => '200',
	"description" => __( "Add delay in milliseconds.", "grve-vc-extension" ),
);

$grve_vce_add_margin_bottom = array(
	"type" => "textfield",
	"heading" => __('Bottom margin', 'grve-vc-extension'),
	"param_name" => "margin_bottom",
	"description" => __( "You can use px, em, %, etc. or enter just number and it will use pixels. ", "grve-vc-extension" ),
);

$grve_vce_add_el_class = array(
	"type" => "textfield",
	"heading" => __( "Extra class name", "grve-vc-extension" ),
	"param_name" => "el_class",
	"description" => __( "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "grve-vc-extension" ),
);

$grve_vce_add_align = array(
	"type" => "dropdown",
	"heading" => __( "Alignment", "grve-vc-extension" ),
	"param_name" => "align",
	"value" => array(
		__( "Left", "grve-vc-extension" ) => 'left',
		__( "Right", "grve-vc-extension" ) => 'right',
		__( "Center", "grve-vc-extension" ) => 'center',
	),
	"description" => '',
	"admin_label" => true,
);

$grve_vce_add_button_type = array(
	"type" => "dropdown",
	"heading" => __( "Button type", "grve-vc-extension" ),
	"param_name" => "button_type",
	"value" => array(
		__( "Simple", "grve-vc-extension" ) => 'simple',
		__( "Outline", "grve-vc-extension" ) => 'outline',
		__( "Advanced", "grve-vc-extension" ) => 'advanced',
	),
	"description" => __( "Select button type.", "grve-vc-extension" ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_color = array(
	"type" => "dropdown",
	"heading" => __( "Button Color", "grve-vc-extension" ),
	"param_name" => "button_color",
	"value" => array(
		__( "Primary", "grve-vc-extension" ) => 'primary',
		__( "Green", "grve-vc-extension" ) => 'green',
		__( "Orange", "grve-vc-extension" ) => 'orange',
		__( "Red", "grve-vc-extension" ) => 'red',
		__( "Blue", "grve-vc-extension" ) => 'blue',
		__( "Aqua", "grve-vc-extension" ) => 'aqua',
		__( "Purple", "grve-vc-extension" ) => 'purple',
		__( "Black", "grve-vc-extension" ) => 'black',
		__( "White", "grve-vc-extension" ) => 'white',
	),
	"description" => __( "Color of the button.", "grve-vc-extension" ),
	"dependency" => Array( 'element' => "button_type", 'value' => array( 'simple' ) ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_text = array(
	"type" => "textfield",
	"heading" => __( "Button Text", "grve-vc-extension" ),
	"param_name" => "button_text",
	"admin_label" => true,
	"value" => "Button",
	"description" => __( "Text of the button.", "grve-vc-extension" ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_text_empty = array(
	"type" => "textfield",
	"heading" => __( "Button Text", "grve-vc-extension" ),
	"param_name" => "button_text",
	"admin_label" => true,
	"value" => "",
	"description" => __( "Text of the button.", "grve-vc-extension" ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_text_hover =  array(
	"type" => "textfield",
	"heading" => __( "Button Text Hover", "grve-vc-extension" ),
	"param_name" => "button_text_hover",
	"value" => "Button",
	"description" => __( "Text of the button on hover.", "grve-vc-extension" ),
	"dependency" => Array( 'element' => "button_type", 'value' => array( 'advanced' ) ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_size = array(
	"type" => "dropdown",
	"heading" => __( "Button Size", "grve-vc-extension" ),
	"param_name" => "button_size",
	"value" => array(
		__( "Extra Small", "grve-vc-extension" ) => 'extrasmall',
		__( "Small", "grve-vc-extension" ) => 'small',
		__( "Medium", "grve-vc-extension" ) => 'medium',
		__( "Large", "grve-vc-extension" ) => 'large',
	),
	"description" => '',
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_button_link = array(
	"type" => "vc_link",
	"heading" => __( "Button Link", "grve-vc-extension" ),
	"param_name" => "button_link",
	"value" => "",
	"description" => __( "Enter link.", "grve-vc-extension" ),
	"group" => __( "Button", "grve-vc-extension" ),
);

$grve_vce_add_order_by = array(
	"type" => "dropdown",
	"heading" => __( "Order By", "grve-vc-extension" ),
	"param_name" => "order_by",
	"value" => array(
		__( "Date", "grve-vc-extension" ) => 'date',
		__( "Last modified date", "grve-vc-extension" ) => 'modified',
		__( "Number of comments", "grve-vc-extension" ) => 'comment_count',	
		__( "Title", "grve-vc-extension" ) => 'title',
		__( "Author", "grve-vc-extension" ) => 'author',
		__( "Random", "grve-vc-extension" ) => 'rand',
	),
	"description" => '',
	"admin_label" => true,
);

$grve_vce_add_order = array(
	"type" => "dropdown",
	"heading" => __( "Order", "grve-vc-extension" ),
	"param_name" => "order",
	"value" => array(
		__( "Descending", "grve-vc-extension" ) => 'DESC',
		__( "Ascending", "grve-vc-extension" ) => 'ASC'
	),
	"dependency" => Array( 'element' => "order_by", 'value' => array( 'date', 'modified', 'comment_count', 'name', 'author', 'title' ) ),
	"description" => '',
	"admin_label" => true,
);

?>