<?php

if ( ! defined( 'ABSPATH' ) ) exit;

if ( function_exists( 'add_shortcode_param' ) ) {

	function grve_icon_settings_field( $param, $param_value ) {
		$dependency = vc_generate_dependencies_attributes( $param );

		$subset = $subset_class = '';
		if( isset( $param['param_subset'] ) ) {
			$subset = $param['param_subset'];
			$subset_class = 'grve-subset';
		}

		return '<div class="grve-modal-select-icon-container ' . $subset_class . '">'
				. grve_get_awsome_fonts_icons( $subset ) .
				'</div>' .
				'<input type="hidden" name="' . $param['param_name'] . '" id="grve-icon-field" class="wpb_vc_param_value grve-modal-textfield' . $param['param_name'] . ' ' . $param['type'] . '_field" value="' . $param_value . '" ' . $dependency . '/>'
				;

	}
	add_shortcode_param( 'grve_icon', 'grve_icon_settings_field', GRVE_VC_EXT_PLUGIN_DIR_URL . '/assets/js/grve-icon-preview.js' );
	
	function grve_multi_checkbox_settings_field( $param, $param_value ) {
		$dependency = vc_generate_dependencies_attributes( $param );
		
		$param_line = '';
		$current_value = explode(",", $param_value);
		$values = is_array($param['value']) ? $param['value'] : array();
				
		foreach ( $values as $label => $v ) {
			$checked = in_array($v, $current_value) ? ' checked="checked"' : '';
			$checkbox_input_class = 'grve-checkbox-input-item';
			$checkbox_class = 'grve-checkbox-item';
			if ( '' == $v ) {
				$checkbox_input_class = 'grve-checkbox-input-item-all';
				$checkbox_class = 'grve-checkbox-item grve-checkbox-item-all';
			}
			$param_line .= '<div class="' . $checkbox_class . '"><input id="'. $param['param_name'] . '-' . $v .'" value="' . $v . '" class="'. $checkbox_input_class .'" type="checkbox" '.$checked.'> ' . __($label, "js_composer") . '</div>';
		}
				
		return '<div class="grve-multi-checkbox-container">' .
			   '  <input class="wpb_vc_param_value wpb-checkboxes '.$settings['param_name'].' '.$settings['type'].'_field" type="hidden" value="'.$param_value.'" name="'.$param['param_name'].'"/>'
				. $param_line .
				'</div>';

	}
	add_shortcode_param( 'grve_multi_checkbox', 'grve_multi_checkbox_settings_field', GRVE_VC_EXT_PLUGIN_DIR_URL . '/assets/js/grve-multi-checkbox.js' );	
	
}

if ( ! function_exists( 'grve_get_awsome_fonts_icons' ) ) {

	function grve_get_awsome_fonts_icons( $subset = '' ) {
		//Font Awesome 4.1
		if ( empty( $subset ) ) {
			//$grve_awsome_fonts = array( "adjust", "adn", "align-center", "align-justify", "align-left", "align-right", "ambulance", "anchor", "android", "angle-double-down", "angle-double-left", "angle-double-right", "angle-double-up", "angle-down", "angle-left", "angle-right", "angle-up", "apple", "archive", "arrow-circle-down", "arrow-circle-left", "arrow-circle-o-down", "arrow-circle-o-left", "arrow-circle-o-right", "arrow-circle-o-up", "arrow-circle-right", "arrow-circle-up", "arrow-down", "arrow-left", "arrow-right", "arrow-up", "arrows-alt", "arrows-h", "arrows-v", "arrows", "asterisk", "backward", "ban", "bar-chart-o", "barcode", "bars", "beer", "bell-o", "bell", "bitbucket-square", "bitbucket", "bitcoin", "bold", "bolt", "book", "bookmark-o", "bookmark", "briefcase", "btc", "bug", "building-o", "bullhorn", "bullseye", "calendar-o", "calendar", "camera-retro", "camera", "caret-down", "caret-left", "caret-right", "caret-square-o-down", "caret-square-o-left", "caret-square-o-right", "caret-square-o-up", "caret-up", "certificate", "chain-broken", "chain", "check-circle-o", "check-circle", "check-square-o", "check-square", "check", "chevron-circle-down", "chevron-circle-left", "chevron-circle-right", "chevron-circle-up", "chevron-down", "chevron-left", "chevron-right", "chevron-up", "circle-o", "circle", "clipboard", "clock-o", "cloud-download", "cloud-upload", "cloud", "cny", "code-fork", "code", "coffee", "cog", "cogs", "columns", "comment-o", "comment", "comments-o", "comments", "compass", "compress", "copy", "credit-card", "crop", "crosshairs", "css3", "cut", "cutlery", "dashboard", "dedent", "desktop", "dollar", "dot-circle-o", "download", "dribbble", "dropbox", "edit", "eject", "ellipsis-h", "ellipsis-v", "envelope-o", "envelope", "eraser", "eur", "euro", "exchange", "exclamation-circle", "exclamation-triangle", "exclamation", "expand", "external-link-square", "external-link", "eye-slash", "eye", "facebook-square", "facebook", "fast-backward", "fast-forward", "female", "fighter-jet", "file-o", "file-text-o", "file-text", "file", "files-o", "film", "filter", "fire-extinguisher", "fire", "flag-checkered", "flag-o", "flag", "flash", "flask", "flickr", "floppy-o", "folder-o", "folder-open-o", "folder-open", "folder", "font", "forward", "foursquare", "frown-o", "gamepad", "gavel", "gbp", "gear", "gears", "gift", "github-alt", "github-square", "github", "gittip", "glass", "globe", "google-plus-square", "google-plus", "group", "h-square", "hand-o-down", "hand-o-left", "hand-o-right", "hand-o-up", "hdd-o", "headphones", "heart-o", "heart", "home", "hospital-o", "html5", "inbox", "indent", "info-circle", "info", "inr", "instagram", "italic", "jpy", "key", "keyboard-o", "krw", "laptop", "leaf", "legal", "lemon-o", "level-down", "level-up", "lightbulb-o", "link", "linkedin-square", "linkedin", "linux", "list-alt", "list-ol", "list-ul", "list", "location-arrow", "lock", "long-arrow-down", "long-arrow-left", "long-arrow-right", "long-arrow-up", "magic", "magnet", "mail-forward", "mail-reply-all", "mail-reply", "male", "map-marker", "maxcdn", "medkit", "meh-o", "microphone-slash", "microphone", "minus-circle", "minus-square-o", "minus-square", "minus", "mobile-phone", "mobile", "money", "moon-o", "music", "outdent", "pagelines", "paperclip", "paste", "pause", "pencil-square-o", "pencil-square", "pencil", "phone-square", "phone", "picture-o", "pinterest-square", "pinterest", "plane", "play-circle-o", "play-circle", "play", "plus-circle", "plus-square-o", "plus-square", "plus", "power-off", "print", "puzzle-piece", "qrcode", "question-circle", "question", "quote-left", "quote-right", "random", "refresh", "renren", "repeat", "reply-all", "reply", "retweet", "rmb", "road", "rocket", "rotate-left", "rotate-right", "rouble", "rss-square", "rss", "rub", "ruble", "rupee", "save", "scissors", "search-minus", "search-plus", "search", "share-square-o", "share-square", "share", "shield", "shopping-cart", "sign-in", "sign-out", "signal", "sitemap", "skype", "smile-o", "sort-alpha-asc", "sort-alpha-desc", "sort-amount-asc", "sort-amount-desc", "sort-asc", "sort-desc", "sort-down", "sort-numeric-asc", "sort-numeric-desc", "sort-up", "sort", "spinner", "square-o", "square", "stack-exchange", "stack-overflow", "star-half-empty", "star-half-full", "star-half-o", "star-half", "star-o", "star", "step-backward", "step-forward", "stethoscope", "stop", "strikethrough", "subscript", "suitcase", "sun-o", "superscript", "table", "tablet", "tachometer", "tag", "tags", "tasks", "terminal", "text-height", "text-width", "th-large", "th-list", "th", "thumb-tack", "thumbs-down", "thumbs-o-down", "thumbs-o-up", "thumbs-up", "ticket", "times-circle-o", "times-circle", "times", "tint", "toggle-down", "toggle-left", "toggle-right", "toggle-up", "trash-o", "trello", "trophy", "truck", "try", "tumblr-square", "tumblr", "turkish-lira", "twitter-square", "twitter", "umbrella", "underline", "undo", "unlink", "unlock-alt", "unlock", "unsorted", "upload", "usd", "user-md", "user", "users", "video-camera", "vimeo-square", "vk", "volume-down", "volume-off", "volume-up", "warning", "weibo", "wheelchair", "windows", "won", "wrench", "xing-square", "xing", "yen", "youtube-play", "youtube-square", "youtube" );
	        $grve_awsome_fonts = array( "adjust", "adn", "align-center", "align-justify", "align-left", "align-right", "ambulance", "anchor", "android", "angle-double-down", "angle-double-left", "angle-double-right", "angle-double-up", "angle-down", "angle-left", "angle-right", "angle-up", "apple", "archive", "arrow-circle-down", "arrow-circle-left", "arrow-circle-o-down", "arrow-circle-o-left", "arrow-circle-o-right", "arrow-circle-o-up", "arrow-circle-right", "arrow-circle-up", "arrow-down", "arrow-left", "arrow-right", "arrows", "arrows-alt", "arrows-h", "arrows-v", "arrow-up", "asterisk", "automobile", "backward", "ban", "bank", "bar-chart-o", "barcode", "bars", "beer", "behance", "behance-square", "bell", "bell-o", "bitbucket", "bitbucket-square", "bitcoin", "bold", "bolt", "bomb", "book", "bookmark", "bookmark-o", "briefcase", "btc", "bug", "building", "building-o", "bullhorn", "bullseye", "cab", "calendar", "calendar-o", "camera", "camera-retro", "car", "caret-down", "caret-left", "caret-right", "caret-square-o-down", "caret-square-o-left", "caret-square-o-right", "caret-square-o-up", "caret-up", "certificate", "chain", "chain-broken", "check", "check-circle", "check-circle-o", "check-square", "check-square-o", "chevron-circle-down", "chevron-circle-left", "chevron-circle-right", "chevron-circle-up", "chevron-down", "chevron-left", "chevron-right", "chevron-up", "child", "circle", "circle-o", "circle-o-notch", "circle-thin", "clipboard", "clock-o", "cloud", "cloud-download", "cloud-upload", "cny", "code", "code-fork", "codepen", "coffee", "cog", "cogs", "columns", "comment", "comment-o", "comments", "comments-o", "compass", "compress", "copy", "credit-card", "crop", "crosshairs", "css3", "cube", "cubes", "cut", "cutlery", "dashboard", "database", "dedent", "delicious", "desktop", "deviantart", "digg", "dollar", "dot-circle-o", "download", "dribbble", "dropbox", "drupal", "edit", "eject", "ellipsis-h", "ellipsis-v", "empire", "envelope", "envelope-o", "envelope-square", "eraser", "eur", "euro", "exchange", "exclamation", "exclamation-circle", "exclamation-triangle", "expand", "external-link", "external-link-square", "eye", "eye-slash", "facebook", "facebook-square", "fast-backward", "fast-forward", "fax", "female", "fighter-jet", "file", "file-archive-o", "file-audio-o", "file-code-o", "file-excel-o", "file-image-o", "file-movie-o", "file-o", "file-pdf-o", "file-photo-o", "file-picture-o", "file-powerpoint-o", "files-o", "file-sound-o", "file-text", "file-text-o", "file-video-o", "file-word-o", "file-zip-o", "film", "filter", "fire", "fire-extinguisher", "flag", "flag-checkered", "flag-o", "flash", "flask", "flickr", "floppy-o", "folder", "folder-o", "folder-open", "folder-open-o", "font", "forward", "foursquare", "frown-o", "gamepad", "gavel", "gbp", "ge", "gear", "gears", "gift", "git", "github", "github-alt", "github-square", "git-square", "gittip", "glass", "globe", "google", "google-plus", "google-plus-square", "graduation-cap", "group", "hacker-news", "hand-o-down", "hand-o-left", "hand-o-right", "hand-o-up", "hdd-o", "header", "headphones", "heart", "heart-o", "history", "home", "hospital-o", "h-square", "html5", "image", "inbox", "indent", "info", "info-circle", "inr", "instagram", "institution", "italic", "joomla", "jpy", "jsfiddle", "key", "keyboard-o", "krw", "language", "laptop", "leaf", "legal", "lemon-o", "level-down", "level-up", "life-bouy", "life-ring", "life-saver", "lightbulb-o", "link", "linkedin", "linkedin-square", "linux", "list", "list-alt", "list-ol", "list-ul", "location-arrow", "lock", "long-arrow-down", "long-arrow-left", "long-arrow-right", "long-arrow-up", "magic", "magnet", "mail-forward", "mail-reply", "mail-reply-all", "male", "map-marker", "maxcdn", "medkit", "meh-o", "microphone", "microphone-slash", "minus", "minus-circle", "minus-square", "minus-square-o", "mobile", "mobile-phone", "money", "moon-o", "mortar-board", "music", "navicon", "openid", "outdent", "pagelines", "paperclip", "paper-plane", "paper-plane-o", "paragraph", "paste", "pause", "paw", "pencil", "pencil-square", "pencil-square-o", "phone", "phone-square", "photo", "picture-o", "pied-piper", "pied-piper-alt", "pied-piper-square", "pinterest", "pinterest-square", "plane", "play", "play-circle", "play-circle-o", "plus", "plus-circle", "plus-square", "plus-square-o", "power-off", "print", "puzzle-piece", "qq", "qrcode", "question", "question-circle", "quote-left", "quote-right", "ra", "random", "rebel", "recycle", "reddit", "reddit-square", "refresh", "renren", "reorder", "repeat", "reply", "reply-all", "retweet", "rmb", "road", "rocket", "rotate-left", "rotate-right", "rouble", "rss", "rss-square", "rub", "ruble", "rupee", "save", "scissors", "search", "search-minus", "search-plus", "send", "send-o", "share", "share-alt", "share-alt-square", "share-square", "share-square-o", "shield", "shopping-cart", "signal", "sign-in", "sign-out", "sitemap", "skype", "slack", "sliders", "smile-o", "sort", "sort-alpha-asc", "sort-alpha-desc", "sort-amount-asc", "sort-amount-desc", "sort-asc", "sort-desc", "sort-down", "sort-numeric-asc", "sort-numeric-desc", "sort-up", "soundcloud", "space-shuttle", "spinner", "spoon", "spotify", "square", "square-o", "stack-exchange", "stack-overflow", "star", "star-half", "star-half-empty", "star-half-full", "star-half-o", "star-o", "steam", "steam-square", "step-backward", "step-forward", "stethoscope", "stop", "strikethrough", "stumbleupon", "stumbleupon-circle", "subscript", "suitcase", "sun-o", "superscript", "support", "table", "tablet", "tachometer", "tag", "tags", "tasks", "taxi", "tencent-weibo", "terminal", "text-height", "text-width", "th", "th-large", "th-list", "thumbs-down", "thumbs-o-down", "thumbs-o-up", "thumbs-up", "thumb-tack", "ticket", "times", "times-circle", "times-circle-o", "tint", "toggle-down", "toggle-left", "toggle-right", "toggle-up", "trash-o", "tree", "trello", "trophy", "truck", "try", "tumblr", "tumblr-square", "turkish-lira", "twitter", "twitter-square", "umbrella", "underline", "undo", "university", "unlink", "unlock", "unlock-alt", "unsorted", "upload", "usd", "user", "user-md", "users", "video-camera", "vimeo-square", "vine", "vk", "volume-down", "volume-off", "volume-up", "warning", "wechat", "weibo", "weixin", "wheelchair", "windows", "won", "wordpress", "wrench", "xing", "xing-square", "yahoo", "yen", "youtube", "youtube-play", "youtube-square" );
		} else {
			$grve_awsome_fonts = array( "check", "angle-right", "angle-double-right", "circle", "square", "plus", "minus", "info-circle", "pencil" );
		}

		$options_number = count( $grve_awsome_fonts );
		$printable_awsome_fonts = "";

		for ( $i=0; $i < $options_number; $i++ ) {
			$printable_awsome_fonts .= '<i data-icon-value="' . $grve_awsome_fonts[ $i ] . '" class="grve-modal-icon-preview fa fa-' . $grve_awsome_fonts[ $i ] . '" title="' . $grve_awsome_fonts[ $i ] . '"></i>';
		}
		return $printable_awsome_fonts;
	}

}


?>