<?php
/**
 * Blog Shortcode
 */

if( !function_exists( 'grve_blog_shortcode' ) ) {

	function grve_blog_shortcode( $atts, $content ) {

		$output = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'categories' => '',
					'blog_style' => 'large-media',
					'auto_excerpt' => '',
					'excerpt_length' => '55',
					'excerpt_more' => '',
					'hide_comments' => '',
					'posts_per_page' => '10',
					'order_by' => 'date',
					'order' => 'DESC',
					'posts_per_page' => '10',
					'disable_pagination' => '',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$blog_classes = array( 'grve-element', 'grve-blog' );

		array_push( $blog_classes, grve_vce_get_blog_class( $blog_style ) );
		if ( !empty ( $el_class ) ) {
			array_push( $blog_classes, $el_class);
		}
		$blog_class_string = implode( ' ', $blog_classes );

		global $paged;
		$paged = 1;

		if ( 'yes' != $disable_pagination ) {
			if ( get_query_var( 'paged' ) ) {
				$paged = get_query_var( 'paged' );
			} elseif ( get_query_var( 'page' ) ) {
				$paged = get_query_var( 'page' );
			}
		}

		$args = array(
			'post_type' => 'post',
			'post_status'=>'publish',
			'posts_per_page' => $posts_per_page,
			'cat' => $categories,
			'paged' => $paged,
			'ignore_sticky_posts' => 1,
			'orderby' => $order_by,
			'order' => $order,			
		);

		$query = new WP_Query( $args );

		ob_start();

		if ( $query->have_posts() ) :

?>
		<div class="<?php echo $blog_class_string; ?>" style="<?php echo $style; ?>">
<?php
		if ( 'labeled' == $blog_style ) {
			$all_string =  apply_filters( 'grve_vce_blog_string_post_type_all', __( 'All', 'grve-vc-extension' ) );
			$post_type_standard_string =  apply_filters( 'grve_vce_blog_string_post_type_standard', __( 'Standard', 'grve-vc-extension' ) );
			$post_type_gallery_string =  apply_filters( 'grve_vce_blog_string_post_type_gallery', __( 'Gallery', 'grve-vc-extension' ) );
			$post_type_link_string =  apply_filters( 'grve_vce_blog_string_post_type_link', __( 'Link', 'grve-vc-extension' ) );
			$post_type_quote_string =  apply_filters( 'grve_vce_blog_string_post_type_quote', __( 'Quote', 'grve-vc-extension' ) );
			$post_type_video_string =  apply_filters( 'grve_vce_blog_string_post_type_video', __( 'Video', 'grve-vc-extension' ) );
			$post_type_audio_string =  apply_filters( 'grve_vce_blog_string_post_type_audio', __( 'Audio', 'grve-vc-extension' ) );

			$grve_post_format_standard = $grve_post_format_gallery = $grve_post_format_link = 0;
			$grve_post_format_quote = $grve_post_format_video = $grve_post_format_audio = 0;
			$grve_other_post_formats = 0;

			$grve_has_post_format_standard = $grve_has_post_format_gallery = $grve_has_post_format_link = 0;
			$grve_has_post_format_quote = $grve_has_post_format_video = $grve_has_post_format_audio = 0;

			while ( $query->have_posts() ) : $query->the_post();
				$post_format = get_post_format();
				if ( false === $post_format ) {
					$post_format = 'standard';
				}
				switch( $post_format ) {
					case 'standard':
						 $grve_post_format_standard++;
						 $grve_has_post_format_standard = 1;
					break;
					case 'gallery':
						 $grve_post_format_gallery++;
						 $grve_has_post_format_gallery = 1;
					break;
					case 'link':
						 $grve_post_format_link++;
						 $grve_has_post_format_link = 1;
					break;
					case 'quote':
						 $grve_post_format_quote++;
						 $grve_has_post_format_quote = 1;
					break;
					case 'video':
						 $grve_post_format_video++;
						 $grve_has_post_format_video = 1;
					break;
					case 'audio':
						 $grve_post_format_audio++;
						 $grve_has_post_format_audio = 1;
					break;
					default:
						$grve_other_post_formats++;
					break;
				}
			endwhile;

			$grve_post_formats = array_sum(
				array(
					$grve_has_post_format_standard,
					$grve_has_post_format_gallery,
					$grve_has_post_format_link,
					$grve_has_post_format_quote,
					$grve_has_post_format_video,
					$grve_has_post_format_audio,
				)
			);

			if ( $grve_post_formats > 1 ) {
?>
			<!-- Blog Filter -->
			<div class="grve-blog-label grve-filter">
				<ul>
					<li data-filter="*" class="selected"><i class="fa fa-th"></i><?php echo $all_string; ?></li>
					<?php if ( $grve_has_post_format_standard ) { ?>
					<li data-filter=".format-standard" class="fa fa-pencil"><?php echo $post_type_standard_string; ?></li>
					<?php } ?>
					<?php if ( $grve_has_post_format_gallery ) { ?>
					<li data-filter=".format-gallery" class="fa fa-th-large"><?php echo $post_type_gallery_string; ?></li>
					<?php } ?>
					<?php if ( $grve_has_post_format_link ) { ?>
					<li data-filter=".format-link" class="fa fa-link"><?php echo $post_type_link_string; ?></li>
					<?php } ?>
					<?php if ( $grve_has_post_format_quote ) { ?>
					<li data-filter=".format-quote" class="fa fa-quote-left"><?php echo $post_type_quote_string; ?></li>
					<?php } ?>
					<?php if ( $grve_has_post_format_video ) { ?>
					<li data-filter=".format-video" class="fa fa-film"><?php echo $post_type_video_string;; ?></li>
					<?php } ?>
					<?php if ( $grve_has_post_format_audio ) { ?>
					<li data-filter=".format-audio" class="fa fa-volume-up"><?php echo $post_type_audio_string; ?></li>
					<?php } ?>
				</ul>
			</div>
<?php
			}
		}
		if ( 'large-media' != $blog_style ) {
?>
			<div class="grve-isotope-container" <?php grve_vce_print_blog_data( $blog_style ); ?>>
<?php
		} else {
?>
			<div class="grve-standard-container">
<?php
		}

		while ( $query->have_posts() ) : $query->the_post();

			$post_format = get_post_format();

			if ( 'labeled' != $blog_style ) {

			$blog_item_class = 'grve-standard-item';

			if ( 'large-media' != $blog_style ) {
				$blog_item_class = 'grve-isotope-item';
			}
			if ( 'link' == $post_format ) {
				$blog_item_class .= ' grve-post-link';
			} else if ( 'quote' == $post_format ) {
				$blog_item_class .= ' grve-post-quote';
			}
?>
			<article id="post-<?php the_ID(); ?>" <?php post_class( $blog_item_class ); ?>>
				<?php grve_vce_print_post_feature_media( $blog_style, $post_format ); ?>
				<div class="grve-post-content">

					<?php grve_vce_print_post_author( $blog_style, $post_format ); ?>
					<?php grve_vce_print_post_title( $blog_style, $post_format ); ?>

					<div class="grve-post-meta">
						<?php grve_vce_print_post_date(); ?>
						<?php
						if ( empty( $hide_comments ) ) {
							grve_vce_print_post_comments();
						}
						?>
						<?php grve_vce_print_post_categories( $blog_style ); ?>
						<?php grve_vce_print_post_author_by( $blog_style ); ?>
					</div>

					<?php grve_vce_print_post_excerpt( $blog_style, $post_format, $auto_excerpt, $excerpt_length, $excerpt_more ); ?>

				</div>
			</article>

<?php
			} else {
?>

			<article id="post-<?php the_ID(); ?>" <?php post_class( 'grve-isotope-item' ); ?>>
				<a <?php echo grve_vce_print_post_link( $post_format ); ?> class="grve-post-wraper">
					<div class="grve-post-format"></div>
					<div class="grve-post-content">
						<?php grve_vce_print_post_date(); ?>
						<div class="grve-post-title"><?php the_title(); ?></div>
					</div>
				</a>
			</article>

<?php
			}

		endwhile;

?>
			</div>
<?php
			if ( 'yes' != $disable_pagination ) {
				$total = $query->max_num_pages;
				$big = 999999999; // need an unlikely integer
				if( $total > 1 )  {
					 echo '<div class="grve-pagination">';

					 if( !$current_page = $paged )
						 $current_page = 1;
					 if( get_option('permalink_structure') ) {
						 $format = 'page/%#%/';
					 } else {
						 $format = '&paged=%#%';
					 }
					 echo paginate_links(array(
						'base'			=> str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
						'format'		=> $format,
						'current'		=> max( 1, $paged ),
						'total'			=> $total,
						'mid_size'		=> 2,
						'type'			=> 'list',
						'prev_text'	=> '<i class="fa fa-angle-left"></i>',
						'next_text'	=> '<i class="fa fa-angle-right"></i>',
					 ));
					 echo '</div>';
				}
			}
?>
		</div>
<?php
		else :
		endif;

		wp_reset_postdata();

		return ob_get_clean();


	}
	add_shortcode( 'grve_blog', 'grve_blog_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Blog", "grve-vc-extension" ),
	"description" => __( "Display a Blog element in multiple styles", "grve-vc-extension" ),
	"base" => "grve_blog",
	"class" => "",
	"icon"      => "icon-wpb-grve-blog",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __( "Style", "grve-vc-extension" ),
			"param_name" => "blog_style",
			"admin_label" => true,
			'value' => array(
				__( 'Large Media', 'grve-vc-extension' ) => 'large-media',
				__( 'Small Media', 'grve-vc-extension' ) => 'small-media',
				__( 'Masonry' , 'grve-vc-extension' ) => 'masonry',
				__( 'Grid 2 Columns' , 'grve-vc-extension' ) => 'grid-2',
				__( 'Grid 3 Columns' , 'grve-vc-extension' ) => 'grid-3',
				__( 'Labeled' , 'grve-vc-extension' ) => 'labeled',
			),
			"description" => __( "Select your Blog Style.", "grve-vc-extension" ),
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Auto excerpt", "grve-vc-extension" ),
			"param_name" => "auto_excerpt",
			"description" => __( "Adds automatic excerpt to all posts in Large Media style. If auto excerpt is not selected, blog will show all content, a desired 'cut-off' point can be inserted in each post with more quicktag.", "grve-vc-extension" ),
			"value" => Array( __( "Activate auto excerpt.", "grve-vc-extension" ) => 'yes' ),
			"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media' ) ),
		),
		array(
			"type" => 'textfield',
			"heading" => __( "Excerpt length", "grve-vc-extension" ),
			"param_name" => "excerpt_length",
			"description" => __( "Type how many words you want to display in your post excerpts.", "grve-vc-extension" ),
			"value" => '55',
			"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media', 'masonry', 'grid-2' , 'grid-3'  ) ),
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Read more", "grve-vc-extension" ),
			"param_name" => "excerpt_more",
			"description" => __( "Adds a read more button after the excerpt or more quicktag", "grve-vc-extension" ),
			"value" => Array( __( "Add more button", "grve-vc-extension" ) => 'yes' ),
			"dependency" => Array( 'element' => "blog_style", 'value' => array( 'large-media', 'small-media', 'masonry', 'grid-2' , 'grid-3'  ) ),
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Disable Pagination", "grve-vc-extension" ),
			"param_name" => "disable_pagination",
			"description" => __( "If selected, pagination will not be shown.", "grve-vc-extension" ),
			"value" => Array( __( "Disable Pagination.", "grve-vc-extension" ) => 'yes' ),
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Hide Comments", "grve-vc-extension" ),
			"param_name" => "hide_comments",
			"description" => __( "If selected, blog overview will not show comments.", "grve-vc-extension" ),
			"value" => Array( __( "Hide Comments.", "grve-vc-extension" ) => 'yes' ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Posts per Page", "grve-vc-extension" ),
			"param_name" => "posts_per_page",
			"value" => "10",
			"description" => __( "Enter how many posts per page you want to display.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		$grve_vce_add_order_by,
		$grve_vce_add_order,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
		array(
			"type" => "grve_multi_checkbox",
			"heading" => __("Categories", "grve-vc-extension" ),
			"param_name" => "categories",
			"value" => grve_vce_get_post_categories(),
			"description" => __( "Select all or multiple categories.", "grve-vc-extension" ),
			"admin_label" => true,
			"group" => __( "Categories", "grve-vc-extension" ),
		),
	)
) );

?>