<?php
/**
 * Callout Shortcode
 */

if( !function_exists( 'grve_calout_shortcode' ) ) {

	function grve_calout_shortcode( $atts, $content ) {

		$output = $button = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'title' => '',
					'callout_style' => '1',
					'button_text' => '',
					'button_text_hover' => '',
					'button_link' => '',
					'button_type' => 'simple',
					'button_size' => 'extrasmall',
					'button_color' => 'primary',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		//Button
		$button = grve_vce_get_button( $button_text, $button_text_hover, $button_link, $button_type, $button_size, $button_color );

		$callout_classes = array( 'grve-element', 'grve-callout' );

		if( 2 == $callout_style ) {
			array_push( $callout_classes, 'grve-style-2');
			$title_prefix = 'span';
		} else {
			array_push( $callout_classes, 'grve-style-1' );
			$title_prefix = 'h4';
		}

		if ( !empty( $animation ) ) {
			array_push( $callout_classes, 'grve-animated-item' );
			array_push( $callout_classes, $animation);
			$data = ' data-delay="' . $animation_delay . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $callout_classes, $el_class);
		}
		$callout_class_string = implode( ' ', $callout_classes );

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		if( 2 == $callout_style ) {
			$output .= '<div class="' . $callout_class_string . '" style="' . $style . '"' . $data . '>';
			$output .= '  <div class="grve-callout-content">';
			$output .= '    <span class="grve-callout-title">' . $title . '</span>';
			$output .= $button;
			$output .= '  </div>';
			$output .= '</div>';
		} else {
			$output .= '<div class="' . $callout_class_string . '" style="' . $style . '">';
			$output .= '  <h4 class="grve-callout-content">' . $title . '</h4>';
			$output .= '  <p>' . $content. '</p>';
			$output .= $button;
			$output .= '</div>';
		}

		return $output;
	}
	add_shortcode( 'grve_callout', 'grve_calout_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Callout", "grve-vc-extension" ),
	"description" => __( "Two different styles for interesting callouts", "grve-vc-extension" ),
	"base" => "grve_callout",
	"class" => "",
	"icon"      => "icon-wpb-grve-callout",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __( "Style", "grve-vc-extension" ),
			"param_name" => "callout_style",
			"value" => array(
				__( "Style 1", "grve-vc-extension" ) => '1',
				__( "Style 2", "grve-vc-extension" ) => '2',
			),
			"description" => __( "Select callout style.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		array(
			"type" => "textfield",
			"heading" => __( "Title", "grve-vc-extension" ),
			"param_name" => "title",
			"value" => "Sample Title",
			"description" => __( "Enter your title.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		array(
			"type" => "textarea",
			"heading" => __( "Text", "grve-vc-extension" ),
			"param_name" => "content",
			"value" => "Sample Text",
			"description" => __( "Enter your text.", "grve-vc-extension" ),
			"dependency" => Array( 'element' => "callout_style", 'value' => array( '1' ) ),
		),
		$grve_vce_add_button_type,
		$grve_vce_add_button_color,
		$grve_vce_add_button_text,
		$grve_vce_add_button_text_hover,
		$grve_vce_add_button_size,
		$grve_vce_add_button_link,
		$grve_vce_add_animation,
		$grve_vce_add_animation_delay,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	)
) );

?>