<?php
/**
 * Carousel Shortcode
 */

if( !function_exists( 'grve_carousel_shortcode' ) ) {

	function grve_carousel_shortcode( $attr, $content ) {

		$output = $class_fullwidth = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'ids' => '',
					'full_width' => '',
					'items_per_page' => '4',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$attr
			)
		);

		$attachments = explode( ",", $ids );

		if ( empty( $attachments ) ) {
			return '';
		}

		$image_size = 'grve-image-medium';

		if ( 'yes' == $full_width ) {
			$class_fullwidth = 'grve-fullwidth-element';
		}

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$output .= '<div class="grve-element grve-carousel-wrapper ' . $class_fullwidth . ' ' . $el_class . '" style="' . $style . '">
						<div class="grve-carousel" data-columns="' . $items_per_page . '">
		';

		foreach ( $attachments as $id ) {
			$thumb_src = wp_get_attachment_image_src( $id, $image_size );
			$alt = get_post_meta( $id, '_wp_attachment_image_alt', true );
			$alt = ! empty( $alt ) ? esc_attr( $alt ) : '';

			$output .= '<div class="grve-carousel-item">';
			$output .= '<img src="' . $thumb_src[0] . '" alt="' . $alt . '">';
			$output .= '</div>';

		}
		$output .= '	</div>
					</div>
		';

		return $output;

	}
	add_shortcode( 'grve_carousel', 'grve_carousel_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Carousel", "grve-vc-extension" ),
	"description" => __( "Add a simple carousel with images", "grve-vc-extension" ),
	"base" => "grve_carousel",
	"class" => "",
	"icon"      => "icon-wpb-grve-carousel",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => 'checkbox',
			"heading" => __( "Full width", "grve-vc-extension" ),
			"param_name" => "full_width",
			"description" => __( "If selected, element will expand to full width.", "grve-vc-extension" ),
			"value" => Array( __( "Expand element to full width", "grve-vc-extension" ) => 'yes' ),
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Items per page", "grve-vc-extension" ),
			"param_name" => "items_per_page",
			"value" => array( '4', '5', '6' ),
			"description" => __( "Number of images per page", "grve-vc-extension" ),
		),
		array(
			"type"			=> "attach_images",
			"admin_label"	=> true,
			"class"			=> "",
			"heading"		=> __( "Attach Images", "grve-vc-extension" ),
			"param_name"	=> "ids",
			"description"	=> __( "Select your slider images.", "grve-vc-extension" ),
		),
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	)
) );

?>