<?php
/**
 * Divider Shortcode
 */

if( !function_exists( 'grve_divider_shortcode' ) ) {

	function grve_divider_shortcode( $atts, $content ) {

		$output = $class_fullwidth = $style = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'title' => '',
					'line_type' => 'space',
					'full_width' => '',
					'padding_top' => '',
					'padding_bottom' => '',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		if ( 'yes' == $full_width ) {
			$class_fullwidth = 'grve-fullwidth-element';
		}

		$style .= grve_vce_build_margin_bottom_style( $margin_bottom );
		$style .= grve_vce_build_padding_top_style( $padding_top );
		$style .= grve_vce_build_padding_bottom_style( $padding_bottom );

		$output .= '  <hr class="grve-element grve-' . $line_type . '-divider '. $class_fullwidth . ' ' . $el_class.'" style="' . $style . '">';

		return $output;
	}
	add_shortcode( 'grve_divider', 'grve_divider_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Divider", "grve-vc-extension" ),
	"description" => __( "Insert dividers, just spaces or different lines", "grve-vc-extension" ),
	"base" => "grve_divider",
	"class" => "",
	"icon"      => "icon-wpb-grve-divider",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __( "Line type", "grve-vc-extension" ),
			"param_name" => "line_type",
			"value" => array(
				__( "Space", "grve-vc-extension" ) => 'space',
				__( "Simple", "grve-vc-extension" ) => 'line',
				__( "Double", "grve-vc-extension" ) => 'double-line',
				__( "Dashed", "grve-vc-extension" ) => 'dashed-line',
				__( "Striped", "grve-vc-extension" ) => 'striped',
			),
			"description" => '',
			"admin_label" => true,
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Full width", "grve-vc-extension" ),
			"param_name" => "full_width",
			"description" => __( "If selected, element will expand to full width.", "grve-vc-extension" ),
			"value" => Array( __( "Expand element to full width", "grve-vc-extension" ) => 'yes' ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Top padding", "grve-vc-extension" ),
			"param_name" => "padding_top",
			"description" => __( "You can use px, em, %, etc. or enter just number and it will use pixels. ", "grve-vc-extension" ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Bottom padding", "grve-vc-extension" ),
			"param_name" => "padding_bottom",
			"description" => __( "You can use px, em, %, etc. or enter just number and it will use pixels. ", "grve-vc-extension" ),
		),
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	),
) );
?>