<?php
/**
 * Dropcap Shortcode
 */

if( !function_exists( 'grve_dropcap_shortcode' ) ) {

	function grve_dropcap_shortcode( $atts, $content ) {

		$output = $style = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'dropcap_style' => '1',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);


		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$dropcap_classes = array( 'grve-element', 'grve-dropcap' );

		if ( !empty( $animation ) ) {
			array_push( $dropcap_classes, 'grve-animated-item' );
			array_push( $dropcap_classes, $animation);
			$data = ' data-delay="' . $animation_delay . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $dropcap_classes, $el_class);
		}
		$dropcap_class_string = implode( ' ', $dropcap_classes );

		if ( !empty( $content ) ) {

			$output .= '<div class="' . $dropcap_class_string.'" style="' . $style . '"' . $data .'>';
			$output .= '<p><span class="grve-style-' . $dropcap_style . '">' . $content[0] . '</span>' . substr( $content, 1 ) . '</p>';
			$output .= '</div>';

		}


		return $output;
	}
	add_shortcode( 'grve_dropcap', 'grve_dropcap_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Dropcap", "grve-vc-extension" ),
	"description" => __( "Two separate styles for your dropcaps", "grve-vc-extension" ),
	"base" => "grve_dropcap",
	"class" => "",
	"icon"      => "icon-wpb-grve-dropcap",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __( "Style", "grve-vc-extension" ),
			"param_name" => "dropcap_style",
			"value" => array(
				__( "Style 1", "grve-vc-extension" ) => '1',
				__( "Style 2", "grve-vc-extension" ) => '2',
			),
			"description" => __( "Style of the dropcap.", "grve-vc-extension" ),
		),
		array(
			"type" => "textarea",
			"heading" => __( "Text", "grve-vc-extension" ),
			"param_name" => "content",
			"value" => "Sample Text",
			"description" => __( "Type your dropcap text.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		$grve_vce_add_animation,
		$grve_vce_add_animation_delay,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	),
) );
?>