<?php
/**
 * Message Box Shortcode
 */

if( !function_exists( 'grve_message_box_shortcode' ) ) {

	function grve_message_box_shortcode( $atts, $content ) {

		$output = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'icon' => '',
					'bg_color' => 'green',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$message_box_classes = array( 'grve-element', 'grve-message' );

		array_push( $message_box_classes, 'grve-' . $bg_color . '-light-color' );

		if ( !empty( $animation ) ) {
			array_push( $message_box_classes, 'grve-animated-item' );
			array_push( $message_box_classes, $animation);
			$data = ' data-delay="' . $animation_delay . '"';
		}

		if ( !empty ( $el_class ) ) {
			array_push( $message_box_classes, $el_class);
		}

		$message_box_class_string = implode( ' ', $message_box_classes );

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$output .= '<div class="' . $message_box_class_string . '" style="' . $style . '"' . $data . '>';
		$output .= '  <i class="grve-icon fa fa-'. $icon. '"></i>';
		$output .= '  <p>' . $content. '</p>';
		$output .= '  <i class="grve-close fa fa-times"></i>';
		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'grve_message_box', 'grve_message_box_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Message Box", "grve-vc-extension" ),
	"description" => __( "Info text with icons", "grve-vc-extension" ),
	"base" => "grve_message_box",
	"class" => "",
	"icon"      => "icon-wpb-grve-message-box",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "grve_icon",
			"heading" => __( 'Icon', "grve-vc-extension" ),
			"param_name" => "icon",
			"value" => 'exclamation-circle',
			"description" => __( "Select an icon.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		array(
			"type" => "textarea",
			"heading" => __( "Text", "grve-vc-extension" ),
			"param_name" => "content",
			"value" => "Sample Text",
			"description" => __( "Enter your content.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Background Color", "grve-vc-extension" ),
			"param_name" => "bg_color",
			"value" => array(
				__( "Green", "grve-vc-extension" ) => 'green',
				__( "Orange", "grve-vc-extension" ) => 'orange',
				__( "Red", "grve-vc-extension" ) => 'red',
				__( "Blue", "grve-vc-extension" ) => 'blue',
				__( "Aqua", "grve-vc-extension" ) => 'aqua',
				__( "Purple", "grve-vc-extension" ) => 'purple',
				__( "Black", "grve-vc-extension" ) => 'black',
				__( "White", "grve-vc-extension" ) => 'white',
			),
			"description" => __( "Background color of the box.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		$grve_vce_add_animation,
		$grve_vce_add_animation_delay,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	)
) );

?>