<?php
/**
 * Progress Bar Shortcode
 */

if( !function_exists( 'grve_progress_bar_shortcode' ) ) {

	function grve_progress_bar_shortcode( $atts, $content ) {

		$output = $style = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'values' => '',
					'color' => 'primary',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$bars_classes = array( 'grve-element', 'grve-progress-bars' );

		$bars_class_string = implode( ' ', $bars_classes );

		$style .= grve_vce_build_margin_bottom_style( $margin_bottom );

		$graph_lines = explode(",", $values);

		$graph_lines_data = array();
		foreach ($graph_lines as $line) {
			$new_line = array();
			$data = explode("|", $line);
			$new_line['value'] = isset( $data[0] ) && !empty( $data[0] ) ? $data[0] : 0;
			$new_line['percentage_value'] = isset( $data[1] ) && !empty( $data[1] ) ? $data[1] : '';
			$new_line['color'] = isset( $data[2] ) && !empty( $data[2] ) ? $data[2] : $color;

			if( (float)$new_line['value'] < 0 ) {
				$new_line['value'] = 0;
			} else if ( (float)$new_line['value'] > 100 ) {
				$new_line['value'] = 100;
			}

			$new_line['label'] = $new_line['percentage_value'];

			$graph_lines_data[] = $new_line;
		}

		$output .= '<div class="' . $bars_class_string . '" style="' . $style . '">';

		foreach($graph_lines_data as $line) {

			$color_class = 'grve-primary';
			if ( 'primary' != $line['color'] ) {
				$color_class = 'grve-' . $line['color'] . '-color';
			}

			$output .= '<div class="grve-element grve-progress-bar grve-margin-10" data-value="' .  $line['value'] . '">';
			$output .= '  <div class="grve-bar-title">' .  $line['label'] . '</div>';
			$output .= '  <div class="grve-bar">';
			$output .= '    <div class="grve-bar-line ' .  $color_class . '"></div>';
			$output .= '  </div>';
			$output .= '</div>';

		}

		$output .= '</div>';




		return $output;
	}
	add_shortcode( 'grve_progress_bar', 'grve_progress_bar_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Progress Bar", "grve-vc-extension" ),
	"description" => __( "Create horizontal progress bar", "grve-vc-extension" ),
	"base" => "grve_progress_bar",
	"class" => "",
	"icon"      => "icon-wpb-grve-progress-bar",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "exploded_textarea",
			"heading" => __("Bar values", "grve-vc-extension"),
			"param_name" => "values",
			"description" => __( "Input bar values here. Divide values with linebreaks (Enter). Example: 90|Development|black.", "grve-vc-extension" ) . '<br/>' .
							__( "Available colors: primary, green, orange, red, blue, aqua, purple, black, white.", "grve-vc-extension" ),
			"value" => "90|Development,80|Design,70|Marketing",
			"admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Bars Color", "grve-vc-extension" ),
			"param_name" => "color",
			"value" => array(
				__( "Primary", "grve-vc-extension" ) => 'primary',
				__( "Green", "grve-vc-extension" ) => 'green',
				__( "Orange", "grve-vc-extension" ) => 'orange',
				__( "Red", "grve-vc-extension" ) => 'red',
				__( "Blue", "grve-vc-extension" ) => 'blue',
				__( "Aqua", "grve-vc-extension" ) => 'aqua',
				__( "Purple", "grve-vc-extension" ) => 'purple',
				__( "Black", "grve-vc-extension" ) => 'black',
				__( "White", "grve-vc-extension" ) => 'white',
			),
			"description" => __( "Use single color for all bars ( If not specified in Bar values )", "grve-vc-extension" ),
		),
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	),
) );
?>