<?php
/**
 * Single Promo Shortcode
 */

if( !function_exists( 'grve_promo_shortcode' ) ) {

	function grve_promo_shortcode( $atts, $content ) {

		$output = $button = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'image' => '',
					'button_text' => '',
					'button_text_hover' => '',
					'button_link' => '',
					'button_type' => 'simple',
					'button_size' => 'extrasmall',
					'button_color' => 'primary',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		//Button
		$button = grve_vce_get_button( $button_text, $button_text_hover, $button_link, $button_type, $button_size, $button_color );
		$image_string = '';
		$image_size = 'full';

		if ( !empty( $image ) ) {

			$id = preg_replace('/[^\d]/', '', $image);
			$thumb_src = wp_get_attachment_image_src( $id, $image_size );

			$alt = get_post_meta( $id, '_wp_attachment_image_alt', true );
			$alt = ! empty( $alt ) ? esc_attr( $alt ) : '';

			$image_string .= '<img class="grve-partner-logo" src="' . $thumb_src[0] . '" alt="' . $alt . '">';
		}

		$output .= '<div class="grve-element grve-partner-advanced ' . $el_class . '" style="margin-bottom:0px;">';
		$output .= '  <ul>';
		$output .= '    <li>';
		$output .= '      <div class="grve-partner-color"></div>';
		$output .= $image_string;
		$output .= '      <div class="grve-partner-content">';
		$output .= '        <p>' . $content. '</p>';
		$output .= $button;
		$output .= '      </div>';
		$output .= '    </li>';
		$output .= '  </ul>';
		$output .= '</div>';

		return $output;
	}
	add_shortcode( 'grve_promo', 'grve_promo_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Advanced Promo", "grve-vc-extension" ),
	"description" => __( "Advanced, impressive promotion for whatever you like", "grve-vc-extension" ),	
	"base" => "grve_promo",
	"class" => "",
	"icon"      => "icon-wpb-grve-promo",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "attach_image",
			"heading" => __( "Image", "grve-vc-extension" ),
			"param_name" => "image",
			"description" => __( "Select an image.", "grve-vc-extension" ),
		),
		array(
			"type" => "textarea",
			"heading" => __( "Text", "grve-vc-extension" ),
			"param_name" => "content",
			"value" => "Sample Text",
			"description" => __( "Enter your text.", "grve-vc-extension" ),
			"dependency" => Array( 'element' => "callout_style", 'value' => array( '1' ) ),
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Button type", "grve-vc-extension" ),
			"param_name" => "button_type",
			"value" => array(
				__( "Simple", "grve-vc-extension" ) => 'simple',
				__( "Outline", "grve-vc-extension" ) => 'outline',
				__( "Advanced", "grve-vc-extension" ) => 'advanced',
			),
			"description" => __( "Select button type.", "grve-vc-extension" ),
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Button Color", "grve-vc-extension" ),
			"param_name" => "button_color",
			"value" => array(
				__( "Primary", "grve-vc-extension" ) => 'primary',
				__( "Green", "grve-vc-extension" ) => 'green',
				__( "Orange", "grve-vc-extension" ) => 'orange',
				__( "Red", "grve-vc-extension" ) => 'red',
				__( "Blue", "grve-vc-extension" ) => 'blue',
				__( "Aqua", "grve-vc-extension" ) => 'aqua',
				__( "Purple", "grve-vc-extension" ) => 'purple',
				__( "Black", "grve-vc-extension" ) => 'black',
				__( "White", "grve-vc-extension" ) => 'white',
			),
			"description" => __( "Color of the button.", "grve-vc-extension" ),
			"dependency" => Array( 'element' => "button_type", 'value' => array( 'simple' ) ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Button Text", "grve-vc-extension" ),
			"param_name" => "button_text",
			"value" => "Button",
			"description" => __( "Text of the button.", "grve-vc-extension" ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Button Text Hover", "grve-vc-extension" ),
			"param_name" => "button_text_hover",
			"value" => "Button",
			"description" => __( "Text of the button on hover.", "grve-vc-extension" ),
			"dependency" => Array( 'element' => "button_type", 'value' => array( 'advanced' ) ),
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Button Size", "grve-vc-extension" ),
			"param_name" => "button_size",
			"value" => array(
				__( "Extra Small", "grve-vc-extension" ) => 'extrasmall',
				__( "Small", "grve-vc-extension" ) => 'small',
				__( "Medium", "grve-vc-extension" ) => 'medium',
				__( "Large", "grve-vc-extension" ) => 'large',
			),
			"description" => '',
		),
		array(
			"type" => "vc_link",
			"heading" => __( "Button Link", "grve-vc-extension" ),
			"param_name" => "button_link",
			"value" => "",
			"description" => __( "Enter link.", "grve-vc-extension" ),
		),
		$grve_vce_add_el_class,
	),
) );

?>