<?php
/**
 * Quote Shortcode
 */

if( !function_exists( 'grve_quote_shortcode' ) ) {

	function grve_quote_shortcode( $atts, $content ) {

		$output = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'quote_style' => '1',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$quote_classes = array( 'grve-element' );

		if ( '2' == $quote_style ) {
			array_push( $quote_classes, 'grve-style-2' );
		}

		if ( !empty( $animation ) ) {
			array_push( $quote_classes, 'grve-animated-item' );
			array_push( $quote_classes, $animation);
			$data = ' data-delay="' . $animation_delay . '"';
		}

		if ( !empty( $el_class ) ) {
			array_push( $quote_classes, $el_class);
		}

		$quote_class_string = implode( ' ', $quote_classes );


		$style = grve_vce_build_margin_bottom_style( $margin_bottom );


		$output .= '<blockquote class="' . $quote_class_string.'" style="' . $style . '"' . $data . '>';
		$output .= '<p>' . $content . '</p>';
		$output .= '</blockquote>';


		return $output;
	}
	add_shortcode( 'grve_quote', 'grve_quote_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Quote", "grve-vc-extension" ),
	"description" => __( "Two different styles for your quotes", "grve-vc-extension" ),
	"base" => "grve_quote",
	"class" => "",
	"icon"      => "icon-wpb-grve-quote",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "dropdown",
			"heading" => __( "Style", "grve-vc-extension" ),
			"param_name" => "quote_style",
			"value" => array(
				__( "Style 1", "grve-vc-extension" ) => '1',
				__( "Style 2", "grve-vc-extension" ) => '2',
			),
			"description" => __( "Style of the quote.", "grve-vc-extension" ),
		),
		array(
			"type" => "textarea",
			"heading" => __( "Text", "grve-vc-extension" ),
			"param_name" => "content",
			"value" => "Sample Quote",
			"description" => __( "Type your quote.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		$grve_vce_add_animation,
		$grve_vce_add_animation_delay,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	),
) );
?>