<?php
/**
 * Slider Shortcode
 */

if( !function_exists( 'grve_slider_shortcode' ) ) {

	function grve_slider_shortcode( $attr, $content ) {

		$output = $class_fullwidth = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'ids' => '',
					'full_width' => '',
					'slideshow_speed' => '3500',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$attr
			)
		);

		$attachments = explode( ",", $ids );

		if ( empty( $attachments ) ) {
			return '';
		}

		$image_size = 'full';

		if ( 'yes' == $full_width ) {
			$class_fullwidth = 'grve-fullwidth-element';
		}

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$output .= '<div class="grve-element grve-slider ' . $class_fullwidth . ' ' . $el_class . '" style="' . $style . ' "data-slider-speed="' . $slideshow_speed . '">
						<ul class="slides">
		';

		foreach ( $attachments as $id ) {
			$image_link_href =  wp_get_attachment_url( $id );
			$thumb_src = wp_get_attachment_image_src( $id, $image_size );
			$alt = get_post_meta( $id, '_wp_attachment_image_alt', true );
			$alt = ! empty( $alt ) ? esc_attr( $alt ) : '';

			$output .= '<li><img src="' . $thumb_src[0] . '" alt="' . $alt . '"></li>';

		}
		$output .= '	</ul>
					</div>
		';

		return $output;

	}
	add_shortcode( 'grve_slider', 'grve_slider_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Slider", "grve-vc-extension" ),
	"description" => __( "Create a simple slider", "grve-vc-extension" ),
	"base" => "grve_slider",
	"class" => "",
	"icon"      => "icon-wpb-grve-slider",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => 'checkbox',
			"heading" => __( "Full width", "grve-vc-extension" ),
			"param_name" => "full_width",
			"description" => __( "If selected, element will expand to full width.", "grve-vc-extension" ),
			"value" => Array( __( "Expand element to full width", "grve-vc-extension" ) => 'yes' ),
		),
		array(
			"type"			=> "attach_images",
			"admin_label"	=> true,
			"class"			=> "",
			"heading"		=> __( "Attach Images", "grve-vc-extension" ),
			"param_name"	=> "ids",
			"description"	=> __( "Select your slider images.", "grve-vc-extension" ),
		),
		array(
			"type" => "textfield",
			"heading" => __( "Slideshow Speed", "grve-vc-extension" ),
			"param_name" => "slideshow_speed",
			"value" => '3500',
			"description" => __( "Slideshow Speed in ms.", "grve-vc-extension" ),
		),
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	)
) );

?>