<?php
/**
 * Title Shortcode
 */

if( !function_exists( 'grve_title_shortcode' ) ) {

	function grve_title_shortcode( $atts, $content ) {

		$output = $data = $el_class = '';

		extract(
			shortcode_atts(
				array(
					'title' => '',
					'heading' => 'h3',
					'line_type' => 'no-line',
					'light_text' => '',
					'align' => '',
					'animation' => '',
					'animation_delay' => '200',
					'margin_bottom' => '',
					'el_class' => '',
				),
				$atts
			)
		);

		$style = grve_vce_build_margin_bottom_style( $margin_bottom );

		$title_classes = array( 'grve-element' );

		array_push( $title_classes, 'grve-align-' . $align );
		array_push( $title_classes, 'grve-title-' . $line_type );

		if ( 'yes' == $light_text ) {
			array_push( $title_classes, 'grve-light-text' );
		}

		if ( !empty( $animation ) ) {
			array_push( $title_classes, 'grve-animated-item' );
			array_push( $title_classes, $animation);
			$data = ' data-delay="' . $animation_delay . '"';
		}

		if ( !empty( $el_class ) ) {
			array_push( $title_classes, $el_class );
		}

		$title_class_string = implode( ' ', $title_classes );

		$output .= '<' . $heading . ' class="' . $title_class_string . '" style="' . $style . '"' . $data . '>' . $title . '</' . $heading . '>';

		return $output;
	}
	add_shortcode( 'grve_title', 'grve_title_shortcode' );

}

/**
 * Add shortcode to Visual Composer
 */

vc_map( array(
	"name" => __( "Title", "grve-vc-extension" ),
	"description" => __( "Add a title in many and diverse ways", "grve-vc-extension" ),
	"base" => "grve_title",
	"class" => "",
	"icon"      => "icon-wpb-grve-title",
	"category" => __( "Content", "js_composer" ),
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => __( "Title", "grve-vc-extension" ),
			"param_name" => "title",
			"value" => "Sample Title",
			"description" => __( "Enter your title here.", "grve-vc-extension" ),
			"admin_label" => true,
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Heading", "grve-vc-extension" ),
			"param_name" => "heading",
			"admin_label" => true,
			"value" => array( 'h1', 'h2', 'h3', 'h4' , 'h5', 'h6' ),
			"description" => __( "Heading size", "grve-vc-extension" ),
		),
		array(
			"type" => "dropdown",
			"heading" => __( "Line type", "grve-vc-extension" ),
			"param_name" => "line_type",
			"value" => array(
				__( "None", "grve-vc-extension" ) => 'no-line',
				__( "Simple", "grve-vc-extension" ) => 'line',
				__( "Double", "grve-vc-extension" ) => 'double-line',
				__( "Striped", "grve-vc-extension" ) => 'striped',
			),
			"description" => '',
		),
		array(
			"type" => 'checkbox',
			"heading" => __( "Light text", "grve-vc-extension" ),
			"param_name" => "light_text",
			"description" => __( "If selected, title will lighten up", "grve-vc-extension" ),
			"value" => Array( __( "Apply light text", "grve-vc-extension" ) => 'yes' ),
		),
		$grve_vce_add_align,
		$grve_vce_add_animation,
		$grve_vce_add_animation_delay,
		$grve_vce_add_margin_bottom,
		$grve_vce_add_el_class,
	),
) );
?>